RIO_OPEN_INB_MBOX(9)

NAME
rio_open_inb_mbox - Initialize MPC85xx inbound mailbox

SYNOPSIS

int rio_open_inb_mbox (struct rio_mport * mport, void * dev_id, int mbox, int entries);

ARGUMENTS

mport
    Master port implementing the inbound message unit

dev_id
    Device specific pointer to pass on event

mbox
    Mailbox to open

entries
    Number of entries in the inbound mailbox ring

DESCRIPTION

Initializes buffer ring, request the inbound message interrupt, and enables the inbound message unit. Returns 0 on success and -EINVAL or -ENOMEM on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.